local KnifeGrinder = ...

-- Register model for stocking asset
KnifeGrinder:registerAssetId("models/crate.fbx/Prefab/crate","MY_CRATE")

-- Register image assets
KnifeGrinder:registerAssetId("icons/knife.png", "ICON_KNIFE")

-- Register knife (goods)
KnifeGrinder:register({
	DataType = "RESOURCE",
	Id = "KNIFE",
	ResourceName = "KNIFE",
	Icon = "ICON_KNIFE",
	ResourceTypeList = { "GOODS" },
	IsTradable = true,
        ResourceLayoutType = "CRATES",
        Prefab = "MY_CRATE",
	VillagerBuyingPrice = { Resource = "GOLD", Quantity = 15 }
})
